> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/deposit-preauths.md).

# Deposit Preauths

This endpoint retrieves pre-authorized accounts that can deposit funds to a given account.

Deposit Authorization is an optional account setting in the XRP Ledger. If enabled, Deposit Authorization blocks all transfers from strangers, including transfers of XRP and tokens. An account with Deposit Authorization can only receive value in two ways - from accounts it has pre-authorized or by sending a transaction to recive funds.

{% embed url="<https://xrpl.org/depositauth.html#preauthorization>" %}
Read more about Deposit Pre-authorization on xrpl.org
{% endembed %}

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/deposit_preauths
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/account/rMND5vHirAL1AUCDfqvGtBkgnEgVeB4X7h/deposit_preauths
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "Account": "rMND5vHirAL1AUCDfqvGtBkgnEgVeB4X7h",
    "Authorize": "rNKpohy2aF3ZJg27QLAhQHT5muoXYNrzSu"
  },
  {
    "Account": "rMND5vHirAL1AUCDfqvGtBkgnEgVeB4X7h",
    "Authorize": "rLyUreVzNcAtAkBhwaiw9WyxmnoSdaAyTs"
  },
  {
    "Account": "rMND5vHirAL1AUCDfqvGtBkgnEgVeB4X7h",
    "Authorize": "rBg2FuZT91C52Nny68houguJ4vt5x1o91m"
  },
  {
    "Account": "rMND5vHirAL1AUCDfqvGtBkgnEgVeB4X7h",
    "Authorize": "rpQVujdWMw2odm8gQHiyGM7qrbkyQmf1sZ"
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/account/deposit-preauths.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
